package net.pokeranalytics.android.ui.view.rowrepresentable

import net.pokeranalytics.android.R
import net.pokeranalytics.android.ui.view.RowRepresentable
import net.pokeranalytics.android.ui.view.RowViewType

/**
 * An enum managing the rows in the more tabs
 */
enum class MoreTabRow : RowRepresentable {
	BANKROLL,
	SETTINGS;

	override val resId: Int?
		get() {
			return when(this) {
				BANKROLL -> R.string.bankroll
				SETTINGS -> R.string.services
			}
		}

	override val imageRes: Int?
		get() {
			return when(this) {
				BANKROLL -> R.drawable.ic_outline_lock
				SETTINGS -> R.drawable.ic_outline_settings
			}
		}

	override val viewType: Int = RowViewType.TITLE_ICON_ARROW.ordinal
}